Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.style.props
Interface OdfGraphicProperties

    public interface OdfGraphicProperties

Field Summary
`static OdfStyleProperty` | `AmbientColor`
`static OdfStyleProperty` | `AnchorPageNumber`
`static OdfStyleProperty` | `AnchorType`
`static OdfStyleProperty` | `Animation`
`static OdfStyleProperty` | `AnimationDelay`
`static OdfStyleProperty` | `AnimationDirection`
`static OdfStyleProperty` | `AnimationRepeat`
`static OdfStyleProperty` | `AnimationStartInside`
`static OdfStyleProperty` | `AnimationSteps`
`static OdfStyleProperty` | `AnimationStopInside`
`static OdfStyleProperty` | `AutoGrowHeight`
`static OdfStyleProperty` | `AutoGrowWidth`
`static OdfStyleProperty` | `BackfaceCulling`
`static OdfStyleProperty` | `BackgroundColor`
`static OdfStyleProperty` | `BackgroundTransparency`
`static OdfStyleProperty` | `BackScale`
`static OdfStyleProperty` | `Blue`
`static OdfStyleProperty` | `Border`
`static OdfStyleProperty` | `BorderBottom`
`static OdfStyleProperty` | `BorderLeft`
`static OdfStyleProperty` | `BorderLineWidth`
`static OdfStyleProperty` | `BorderLineWidthBottom`
`static OdfStyleProperty` | `BorderLineWidthLeft`
`static OdfStyleProperty` | `BorderLineWidthRight`
`static OdfStyleProperty` | `BorderLineWidthTop`
`static OdfStyleProperty` | `BorderRight`
`static OdfStyleProperty` | `BorderTop`
`static OdfStyleProperty` | `CaptionAngle`
`static OdfStyleProperty` | `CaptionAngleType`
`static OdfStyleProperty` | `CaptionEscape`
`static OdfStyleProperty` | `CaptionEscapeDirection`
`static OdfStyleProperty` | `CaptionFitLineLength`
`static OdfStyleProperty` | `CaptionGap`
`static OdfStyleProperty` | `CaptionLineLength`
`static OdfStyleProperty` | `CaptionType`
`static OdfStyleProperty` | `Clip`
`static OdfStyleProperty` | `CloseBack`
`static OdfStyleProperty` | `CloseFront`
`static OdfStyleProperty` | `ColorInversion`
`static OdfStyleProperty` | `ColorMode`
`static OdfStyleProperty` | `Contrast`
`static OdfStyleProperty` | `DecimalPlaces`
`static OdfStyleProperty` | `Depth`
`static OdfStyleProperty` | `DiffuseColor`
`static OdfStyleProperty` | `Dr3dShadow`
`static OdfStyleProperty` | `DrawAspect`
`static OdfStyleProperty` | `DrawShadow`
`static OdfStyleProperty` | `EdgeRounding`
`static OdfStyleProperty` | `EdgeRoundingMode`
`static OdfStyleProperty` | `Editable`
`static OdfStyleProperty` | `EmissiveColor`
`static OdfStyleProperty` | `EndAngle`
`static OdfStyleProperty` | `EndGuide`
`static OdfStyleProperty` | `EndLineSpacingHorizontal`
`static OdfStyleProperty` | `EndLineSpacingVertical`
`static OdfStyleProperty` | `FitToContour`
`static OdfStyleProperty` | `FitToSize`
`static OdfStyleProperty` | `FlowWithText`
`static OdfStyleProperty` | `FrameDisplayBorder`
`static OdfStyleProperty` | `FrameDisplayScrollbar`
`static OdfStyleProperty` | `FrameMarginHorizontal`
`static OdfStyleProperty` | `FrameMarginVertical`
`static OdfStyleProperty` | `Gamma`
`static OdfStyleProperty` | `Green`
`static OdfStyleProperty` | `GuideDistance`
`static OdfStyleProperty` | `GuideOverhang`
`static OdfStyleProperty` | `Height`
`static OdfStyleProperty` | `HorizontalPos`
`static OdfStyleProperty` | `HorizontalRel`
`static OdfStyleProperty` | `HorizontalSegments`
`static OdfStyleProperty` | `ImageOpacity`
`static OdfStyleProperty` | `LightingMode`
`static OdfStyleProperty` | `LineDistance`
`static OdfStyleProperty` | `Luminance`
`static OdfStyleProperty` | `Margin`
`static OdfStyleProperty` | `MarginBottom`
`static OdfStyleProperty` | `MarginLeft`
`static OdfStyleProperty` | `MarginRight`
`static OdfStyleProperty` | `MarginTop`
`static OdfStyleProperty` | `MarkerEnd`
`static OdfStyleProperty` | `MarkerEndCenter`
`static OdfStyleProperty` | `MarkerEndWidth`
`static OdfStyleProperty` | `MarkerStart`
`static OdfStyleProperty` | `MarkerStartCenter`
`static OdfStyleProperty` | `MarkerStartWidth`
`static OdfStyleProperty` | `MaxHeight`
`static OdfStyleProperty` | `MaxWidth`
`static OdfStyleProperty` | `MeasureAlign`
`static OdfStyleProperty` | `MeasureVerticalAlign`
`static OdfStyleProperty` | `MinHeight`
`static OdfStyleProperty` | `MinWidth`
`static OdfStyleProperty` | `Mirror`
`static OdfStyleProperty` | `NormalsDirection`
`static OdfStyleProperty` | `NormalsKind`
`static OdfStyleProperty` | `NumberWrappedParagraphs`
`static OdfStyleProperty` | `OleDrawAspect`
`static OdfStyleProperty` | `OverflowBehavior`
`static OdfStyleProperty` | `Padding`
`static OdfStyleProperty` | `PaddingBottom`
`static OdfStyleProperty` | `PaddingLeft`
`static OdfStyleProperty` | `PaddingRight`
`static OdfStyleProperty` | `PaddingTop`
`static OdfStyleProperty` | `Parallel`
`static OdfStyleProperty` | `Placing`
`static OdfStyleProperty` | `PrintContent`
`static OdfStyleProperty` | `Protect`
`static OdfStyleProperty` | `Red`
`static OdfStyleProperty` | `RelHeight`
`static OdfStyleProperty` | `RelWidth`
`static OdfStyleProperty` | `RunThrough`
`static OdfStyleProperty` | `ShadowColor`
`static OdfStyleProperty` | `ShadowOffsetX`
`static OdfStyleProperty` | `ShadowOffsetY`
`static OdfStyleProperty` | `ShadowOpacity`
`static OdfStyleProperty` | `Shininess`
`static OdfStyleProperty` | `ShowUnit`
`static OdfStyleProperty` | `ShrinkToFit`
`static OdfStyleProperty` | `SpecularColor`
`static OdfStyleProperty` | `StartGuide`
`static OdfStyleProperty` | `StartLineSpacingHorizontal`
`static OdfStyleProperty` | `StartLineSpacingVertical`
`static OdfStyleProperty` | `Stroke`
`static OdfStyleProperty` | `StrokeColor`
`static OdfStyleProperty` | `StrokeDash`
`static OdfStyleProperty` | `StrokeDashNames`
`static OdfStyleProperty` | `StrokeLinecap`
`static OdfStyleProperty` | `StrokeLinejoin`
`static OdfStyleProperty` | `StrokeOpacity`
`static OdfStyleProperty` | `StrokeWidth`
`static OdfStyleProperty` | `StyleShadow`
`static OdfStyleProperty` | `SymbolColor`
`static OdfStyleProperty` | `TextareaHorizontalAlign`
`static OdfStyleProperty` | `TextareaVerticalAlign`
`static OdfStyleProperty` | `TextureFilter`
`static OdfStyleProperty` | `TextureGenerationModeX`
`static OdfStyleProperty` | `TextureGenerationModeY`
`static OdfStyleProperty` | `TextureKind`
`static OdfStyleProperty` | `TextureMode`
`static OdfStyleProperty` | `Unit`
`static OdfStyleProperty` | `VerticalPos`
`static OdfStyleProperty` | `VerticalRel`
`static OdfStyleProperty` | `VerticalSegments`
`static OdfStyleProperty` | `VisibleAreaHeight`
`static OdfStyleProperty` | `VisibleAreaLeft`
`static OdfStyleProperty` | `VisibleAreaTop`
`static OdfStyleProperty` | `VisibleAreaWidth`
`static OdfStyleProperty` | `Width`
`static OdfStyleProperty` | `Wrap`
`static OdfStyleProperty` | `WrapContour`
`static OdfStyleProperty` | `WrapContourMode`
`static OdfStyleProperty` | `WrapDynamicThreshold`
`static OdfStyleProperty` | `WrapInfluenceOnPosition`
`static OdfStyleProperty` | `WrapOption`
`static OdfStyleProperty` | `WritingMode`
`static OdfStyleProperty` | `X`
`static OdfStyleProperty` | `Y`

Field Detail

### AmbientColor

    static final OdfStyleProperty AmbientColor

### BackScale

    static final OdfStyleProperty BackScale

### BackfaceCulling

    static final OdfStyleProperty BackfaceCulling

### CloseBack

    static final OdfStyleProperty CloseBack

### CloseFront

    static final OdfStyleProperty CloseFront

### Depth

    static final OdfStyleProperty Depth

### DiffuseColor

    static final OdfStyleProperty DiffuseColor

### EdgeRounding

    static final OdfStyleProperty EdgeRounding

### EdgeRoundingMode

    static final OdfStyleProperty EdgeRoundingMode

### EmissiveColor

    static final OdfStyleProperty EmissiveColor

### EndAngle

    static final OdfStyleProperty EndAngle

### HorizontalSegments

    static final OdfStyleProperty HorizontalSegments

### LightingMode

    static final OdfStyleProperty LightingMode

### NormalsDirection

    static final OdfStyleProperty NormalsDirection

### NormalsKind

    static final OdfStyleProperty NormalsKind

### Dr3dShadow

    static final OdfStyleProperty Dr3dShadow

### Shininess

    static final OdfStyleProperty Shininess

### SpecularColor

    static final OdfStyleProperty SpecularColor

### TextureFilter

    static final OdfStyleProperty TextureFilter

### TextureGenerationModeX

    static final OdfStyleProperty TextureGenerationModeX

### TextureGenerationModeY

    static final OdfStyleProperty TextureGenerationModeY

### TextureKind

    static final OdfStyleProperty TextureKind

### TextureMode

    static final OdfStyleProperty TextureMode

### VerticalSegments

    static final OdfStyleProperty VerticalSegments

### AutoGrowHeight

    static final OdfStyleProperty AutoGrowHeight

### AutoGrowWidth

    static final OdfStyleProperty AutoGrowWidth

### Blue

    static final OdfStyleProperty Blue

### CaptionAngle

    static final OdfStyleProperty CaptionAngle

### CaptionAngleType

    static final OdfStyleProperty CaptionAngleType

### CaptionEscape

    static final OdfStyleProperty CaptionEscape

### CaptionEscapeDirection

    static final OdfStyleProperty CaptionEscapeDirection

### CaptionFitLineLength

    static final OdfStyleProperty CaptionFitLineLength

### CaptionGap

    static final OdfStyleProperty CaptionGap

### CaptionLineLength

    static final OdfStyleProperty CaptionLineLength

### CaptionType

    static final OdfStyleProperty CaptionType

### ColorInversion

    static final OdfStyleProperty ColorInversion

### ColorMode

    static final OdfStyleProperty ColorMode

### Contrast

    static final OdfStyleProperty Contrast

### DecimalPlaces

    static final OdfStyleProperty DecimalPlaces

### EndGuide

    static final OdfStyleProperty EndGuide

### EndLineSpacingHorizontal

    static final OdfStyleProperty EndLineSpacingHorizontal

### EndLineSpacingVertical

    static final OdfStyleProperty EndLineSpacingVertical

### FitToContour

    static final OdfStyleProperty FitToContour

### FitToSize

    static final OdfStyleProperty FitToSize

### FrameDisplayBorder

    static final OdfStyleProperty FrameDisplayBorder

### FrameDisplayScrollbar

    static final OdfStyleProperty FrameDisplayScrollbar

### FrameMarginHorizontal

    static final OdfStyleProperty FrameMarginHorizontal

### FrameMarginVertical

    static final OdfStyleProperty FrameMarginVertical

### Gamma

    static final OdfStyleProperty Gamma

### Green

    static final OdfStyleProperty Green

### GuideDistance

    static final OdfStyleProperty GuideDistance

### GuideOverhang

    static final OdfStyleProperty GuideOverhang

### ImageOpacity

    static final OdfStyleProperty ImageOpacity

### LineDistance

    static final OdfStyleProperty LineDistance

### Luminance

    static final OdfStyleProperty Luminance

### MarkerEnd

    static final OdfStyleProperty MarkerEnd

### MarkerEndCenter

    static final OdfStyleProperty MarkerEndCenter

### MarkerEndWidth

    static final OdfStyleProperty MarkerEndWidth

### MarkerStart

    static final OdfStyleProperty MarkerStart

### MarkerStartCenter

    static final OdfStyleProperty MarkerStartCenter

### MarkerStartWidth

    static final OdfStyleProperty MarkerStartWidth

### MeasureAlign

    static final OdfStyleProperty MeasureAlign

### MeasureVerticalAlign

    static final OdfStyleProperty MeasureVerticalAlign

### OleDrawAspect

    static final OdfStyleProperty OleDrawAspect

### Parallel

    static final OdfStyleProperty Parallel

### Placing

    static final OdfStyleProperty Placing

### Red

    static final OdfStyleProperty Red

### DrawShadow

    static final OdfStyleProperty DrawShadow

### ShadowColor

    static final OdfStyleProperty ShadowColor

### ShadowOffsetX

    static final OdfStyleProperty ShadowOffsetX

### ShadowOffsetY

    static final OdfStyleProperty ShadowOffsetY

### ShadowOpacity

    static final OdfStyleProperty ShadowOpacity

### ShowUnit

    static final OdfStyleProperty ShowUnit

### StartGuide

    static final OdfStyleProperty StartGuide

### StartLineSpacingHorizontal

    static final OdfStyleProperty StartLineSpacingHorizontal

### StartLineSpacingVertical

    static final OdfStyleProperty StartLineSpacingVertical

### Stroke

    static final OdfStyleProperty Stroke

### StrokeDash

    static final OdfStyleProperty StrokeDash

### StrokeDashNames

    static final OdfStyleProperty StrokeDashNames

### StrokeLinejoin

    static final OdfStyleProperty StrokeLinejoin

### SymbolColor

    static final OdfStyleProperty SymbolColor

### TextareaHorizontalAlign

    static final OdfStyleProperty TextareaHorizontalAlign

### TextareaVerticalAlign

    static final OdfStyleProperty TextareaVerticalAlign

### Unit

    static final OdfStyleProperty Unit

### VisibleAreaHeight

    static final OdfStyleProperty VisibleAreaHeight

### VisibleAreaLeft

    static final OdfStyleProperty VisibleAreaLeft

### VisibleAreaTop

    static final OdfStyleProperty VisibleAreaTop

### VisibleAreaWidth

    static final OdfStyleProperty VisibleAreaWidth

### WrapInfluenceOnPosition

    static final OdfStyleProperty WrapInfluenceOnPosition

### BackgroundColor

    static final OdfStyleProperty BackgroundColor

### Border

    static final OdfStyleProperty Border

### BorderBottom

    static final OdfStyleProperty BorderBottom

### BorderLeft

    static final OdfStyleProperty BorderLeft

### BorderRight

    static final OdfStyleProperty BorderRight

### BorderTop

    static final OdfStyleProperty BorderTop

### Clip

    static final OdfStyleProperty Clip

### Margin

    static final OdfStyleProperty Margin

### MarginBottom

    static final OdfStyleProperty MarginBottom

### MarginLeft

    static final OdfStyleProperty MarginLeft

### MarginRight

    static final OdfStyleProperty MarginRight

### MarginTop

    static final OdfStyleProperty MarginTop

### MaxHeight

    static final OdfStyleProperty MaxHeight

### MaxWidth

    static final OdfStyleProperty MaxWidth

### MinHeight

    static final OdfStyleProperty MinHeight

### MinWidth

    static final OdfStyleProperty MinWidth

### Padding

    static final OdfStyleProperty Padding

### PaddingBottom

    static final OdfStyleProperty PaddingBottom

### PaddingLeft

    static final OdfStyleProperty PaddingLeft

### PaddingRight

    static final OdfStyleProperty PaddingRight

### PaddingTop

    static final OdfStyleProperty PaddingTop

### WrapOption

    static final OdfStyleProperty WrapOption

### BorderLineWidth

    static final OdfStyleProperty BorderLineWidth

### BorderLineWidthBottom

    static final OdfStyleProperty BorderLineWidthBottom

### BorderLineWidthLeft

    static final OdfStyleProperty BorderLineWidthLeft

### BorderLineWidthRight

    static final OdfStyleProperty BorderLineWidthRight

### BorderLineWidthTop

    static final OdfStyleProperty BorderLineWidthTop

### Editable

    static final OdfStyleProperty Editable

### FlowWithText

    static final OdfStyleProperty FlowWithText

### HorizontalPos

    static final OdfStyleProperty HorizontalPos

### HorizontalRel

    static final OdfStyleProperty HorizontalRel

### Mirror

    static final OdfStyleProperty Mirror

### NumberWrappedParagraphs

    static final OdfStyleProperty NumberWrappedParagraphs

### OverflowBehavior

    static final OdfStyleProperty OverflowBehavior

### PrintContent

    static final OdfStyleProperty PrintContent

### Protect

    static final OdfStyleProperty Protect

### RelHeight

    static final OdfStyleProperty RelHeight

### RelWidth

    static final OdfStyleProperty RelWidth

### RunThrough

    static final OdfStyleProperty RunThrough

### StyleShadow

    static final OdfStyleProperty StyleShadow

### VerticalPos

    static final OdfStyleProperty VerticalPos

### VerticalRel

    static final OdfStyleProperty VerticalRel

### Wrap

    static final OdfStyleProperty Wrap

### WrapContour

    static final OdfStyleProperty WrapContour

### WrapContourMode

    static final OdfStyleProperty WrapContourMode

### WrapDynamicThreshold

    static final OdfStyleProperty WrapDynamicThreshold

### WritingMode

    static final OdfStyleProperty WritingMode

### Height

    static final OdfStyleProperty Height

### StrokeColor

    static final OdfStyleProperty StrokeColor

### StrokeOpacity

    static final OdfStyleProperty StrokeOpacity

### StrokeWidth

    static final OdfStyleProperty StrokeWidth

### Width

    static final OdfStyleProperty Width

### X

    static final OdfStyleProperty X

### Y

    static final OdfStyleProperty Y

### AnchorPageNumber

    static final OdfStyleProperty AnchorPageNumber

### AnchorType

    static final OdfStyleProperty AnchorType

### Animation

    static final OdfStyleProperty Animation

### AnimationDelay

    static final OdfStyleProperty AnimationDelay

### AnimationDirection

    static final OdfStyleProperty AnimationDirection

### AnimationRepeat

    static final OdfStyleProperty AnimationRepeat

### AnimationStartInside

    static final OdfStyleProperty AnimationStartInside

### AnimationSteps

    static final OdfStyleProperty AnimationSteps

### AnimationStopInside

    static final OdfStyleProperty AnimationStopInside

### StrokeLinecap

    static final OdfStyleProperty StrokeLinecap

### ShrinkToFit

    static final OdfStyleProperty ShrinkToFit

### BackgroundTransparency

    static final OdfStyleProperty BackgroundTransparency

### DrawAspect

    static final OdfStyleProperty DrawAspect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.